package modeles;

/**
 * @author Nicolas
 *
 */
public class Personnage extends EtreVivant {
	private Arme arme;
	private Armure armure;
	private Bourse bourse;
	public Personnage(String nom, int pVieMax,int pAttaque) {
		super(nom, pVieMax, pAttaque);
	}
	
	public void equiper(Arme arme) {
		
		arme.setProprietaire(this);
		this.arme=arme;
	}
public void equiper(Armure armure) {
		armure.setProprietaire(this);
		this.armure=armure;
	}
	
	public void utiliser(Potion potion) {
		
		System.out.println("Pv au maximum");
		potion.utilisation();
	}
	/*
	public void seDeplacer(Salle salle) {
		this.salle=salle;
	}
	*/

	
	public int attaquer(Monstre monstre) {
		int pAttaqueLoc;
		if(arme!=null) {
			pAttaqueLoc=monstre.pVie-(arme.getpArme()+this.getpAttaque());
			monstre.pVie=pAttaqueLoc;
		}
		else {
			pAttaqueLoc=this.getpAttaque();
			monstre.pVie=pAttaqueLoc;
		}
		return pAttaqueLoc;
}
	public Bourse getBourse() {
		return this.bourse;
	}

	public void getValeurBourse() {
		System.out.println(this.getBourse().getValeur());
	}
	/**
	 * @return the arme
	 */
	public Arme getArme() {
		return arme;
	}

	/**
	 * @return the armure
	 */
	public Armure getArmure() {
		return armure;
	}
	
	public void soin(int heal) {
		if (pVie+heal > pVieMax)pVie=pVieMax;
		else pVie+=heal;
	}
}
