
package modeles;

import java.util.ArrayList;
import java.util.List;

/**
 * @author flavien
 *
 */
public class Salle {
	public static int positionX;
	/**
	 * @param positionX
	 * @param positionY
	 * @param sortie
	 * @param listeEnnemie
	 * @param listePorte
	 */
	
	public Salle(int positionX, int positionY, boolean sortie, List listeEnnemie, List<Porte> listePorte) {
		this.positionX = positionX;
		this.positionY = positionY;
		this.sortie = sortie;
		this.listeEnnemie = listeEnnemie;
		this.listePorte = listePorte;
	}
	public Salle() {
		
	}

	private static int positionY;
	private static boolean sortie;
	private static List<Monstre> listeEnnemie= new ArrayList<Monstre>();
	private static List<Porte> listePorte = new ArrayList<Porte>();
	
	public String getType(){
		return "salle";
	}
	
	public int getPositionX() {
		return positionX;
	}

	public int getPositionY() {
		return positionY;
	}
	
	public boolean estSortie() {
		return sortie;
	}
	
	public boolean estVide() {
		return listeEnnemie.isEmpty();
	}
	
}

